<template>
  <div
    ref="content"
    class="current-account-balance account-card position-relative"
  >
    <vs-button
      circle
      icon
      color="rgb(59,222,200)"
      gradient
      class="visiblity-icon p-0"
      size="mini"
      @click="toggleBalanceAmount()"
    >
      <!-- {{ balanceHidden }} -->
      <Visible v-if="balanceHidden" />
      <InVisible v-else />
    </vs-button>
    <div v-if="account" class="d-flex justify-content-between">
      <div>
        <h5 class="m-0 fw-bold">{{ account.AccountType }}</h5>
        <p class="h6 text-muted m-0 mt-1">{{ account.AccountName }}</p>
      </div>

      <!-- <img src="@/assets/images/tick.png" alt="Tick" style="height: 20px" /> -->
    </div>
    <div v-if="account" class="d-flex justify-content-between">
      <h2 v-if="!balanceHidden" class="fw-bold">
        {{ account.AccountBalance | formatPrice }}
      </h2>
      <h2 v-else class="fw-bold">*****</h2>
      <div>
        <p class="fw-bold m-0">**** {{ account.AccountNumber | maskNumber }}</p>
        <!-- <img src="@/assets/icons/visa.svg" alt="VISA" /> -->
        {{ account.Status }}
      </div>
    </div>
  </div>
</template>

<script>
import Visible from '@/assets/icons/visible.svg?inline'
import InVisible from '@/assets/icons/invisible.svg?inline'

export default {
  components: { Visible, InVisible },
  data: () => ({
    hideAMount: false,
    account: {},
  }),
  computed: {
    balanceHidden() {
      // console.log(this.$store)
      // console.log(this.$store.state['balance/balanceHidden'])
      return this.$store.getters['balance/isBalanceHidden']
    },
  },
  mounted() {
    this.fetchData()
  },
  methods: {
    toggleBalanceAmount() {
      this.$store.commit('balance/TOGGLE_BALANCE')
    },
    async fetchData() {
      const loading = this.$vs.loading({
        target: this.$refs.content,
        color: 'primary',
        scale: 2,
      })
      try {
        this.contentLoading = true
        const { payload } = await this.$axios.$get('/user/first-account')
        loading.close()
        this.account = payload
        this.contentLoading = false
      } catch (error) {
        loading.close()
        this.contentLoading = false
      }
    },
  },
}
</script>

<style lang="scss">
@import '~@/assets/scss/index';
@import '~@/assets/scss/variables';

.current-account-balance {
  height: 200px;
  width: 100%;
  background-color: #f1c47f;
  border-radius: 20px;
  padding: 16px 20px;
  background-repeat: no-repeat;
  background-position: right top;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  position: relative;
  &::before {
    content: '';
    height: 100%;
    border-radius: 20px;
    top: 0;
    left: 0;
    width: 100%;
    background-image: url(~@/assets/icons/current-account-balance.svg);
    position: absolute;
    background-repeat: no-repeat;
    background-position: top right;
  }
}
.visiblity-icon {
  width: 30px;
  height: 30px;
  position: absolute;
  top: 16px;
  right: 15px;
  svg {
    height: 20px;
  }
}
</style>
